## org.opengis.go.display.canvas
Interface CanvasController

All Known Subinterfaces:
  Map2DController

    public interface CanvasController

The `CanvasController` interface serves as the token in the `CanvasController <--> Canvas` interaction. When the `Canvas` enables a `CanvasHandler`, it calls `handlerEnabled(CanvasController)` on the `CanvasHandler`. The `CanvasController` may then be used by the programmer to set some of the properties of the associated `Canvas`. The `CanvasController` will be active until another `CanvasHandler` is enabled.

The `CanvasController`'s methods (in an implementation-specific interaction with the `Canvas`) should only set the `Canvas`'s properties IFF the `CanvasController` is recognized to be the active controller (the controller given out by the canvas when the most recent handler was enabled).

Method Summary
`void` `setCenter(DirectPosition newCenter)` Sets the position of the center pixel of the `Canvas` this controller works for, if it is the active controller.

Method Detail

### setCenter

    void setCenter(DirectPosition newCenter)

  Sets the position of the center pixel of the `Canvas` this controller works for, if it is the active controller.

  See Also:
    `CanvasState.getCenter()`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.